Main Page Class Hierarchy Compound List File List Compound Members File Members

# UseAnalyzer Class Reference

List of all members.

## Public Methods
void | run (const cmt_string& constituent)
void | run (const cmt_string& location, const cmt_string& package, const cmt_string& filter_out = "")

## Member Function Documentation

void UseAnalyzer::run ( | const cmt_string & location,
| const cmt_string & package,
| const cmt_string & filter_out = "" )

| Definition at line 754 of file cmt_triggers.cxx.
    00757 {
    00758   static cmt_regexp expression ("[.]triggers$");
    00759
    00760   TriggerAnalyzer analyzer (package);
    00761
    00762   CmtSystem::cmt_string_vector files;
    00763
    00764   CmtSystem::scan_dir (location, expression, files);
    00765
    00766   cmt_string name;
    00767
    00768   for (int i = 0; i < files.size (); i++)
    00769     {
    00770       const cmt_string& file = files[i];
    00771
    00772       if (filter_out != "")
    00773         {
    00774           CmtSystem::basename (file, ".triggers", name);
    00775           if (name == filter_out) continue;
    00776         }
    00777
    00778       analyzer.run (file);
    00779     }
    00780 }

void UseAnalyzer::run ( | const cmt_string & constituent )

| Definition at line 725 of file cmt_triggers.cxx. Referenced by TriggerGenerator::run().
    00726 {
    00727   Use* use = &(Use::current ());
    00728
    00729   run ("./", use->package, constituent);
    00730
    00731   Use::UsePtrVector& uses = Use::uses ();
    00732   for (int i = 0; i < uses.size (); i++)
    00733     {
    00734       use = uses[i];
    00735
    00736       cmt_string s;
    00737
    00738       s = use->real_path;
    00739       s += CmtSystem::file_separator ();
    00740       s += use->package;
    00741       s += CmtSystem::file_separator ();
    00742       s += use->version;
    00743       s += CmtSystem::file_separator ();
    00744
    00745       if (use->style == mgr_style) s += "mgr";
    00746       else s += "cmt";
    00747
    00748       s += CmtSystem::file_separator ();
    00749
    00750       run (s, use->package);
    00751     }
    00752 }

The documentation for this class was generated from the following file:

- cmt_triggers.cxx